Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.datasource
Interface IEssOlapApplication

All Superinterfaces:
  IEssBaseObject, IEssExtendedObject, IEssProperties, IEssSubstitutionVariables

public interface IEssOlapApplication
extends IEssExtendedObject, IEssProperties, IEssSubstitutionVariables

The IEssOlapApplication is olap application.

Nested Class Summary
`static class` | `IEssOlapApplication.EEssLoadStatus` The EEssLoadStatus class is an enumeration of Application load status.
`static class` | `IEssOlapApplication.EEssOlapApplicationAccess` The EEssOlapApplicationAccess is an enumeration of olap application access levels.

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Field Summary
`static int` | `PROP_COUNT_OF_CUBES`
`static int` | `PROP_COUNT_OF_USERS_CONNECTED`
`static int` | `PROP_DESCRIPTION`
`static int` | `PROP_ELAPSED_TIME`
`static int` | `PROP_IS_ALLOW_COMMANDS`
`static int` | `PROP_IS_ALLOW_CONNECTS`
`static int` | `PROP_IS_ALLOW_UPDATES`
`static int` | `PROP_IS_AUTO_LOAD`
`static int` | `PROP_IS_ENABLE_SECURITY`
`static int` | `PROP_IS_LOADABLE`
`static int` | `PROP_LOAD_STATUS`
`static int` | `PROP_LOCALE`
`static int` | `PROP_LOCK_TIMEOUT`
`static int` | `PROP_MAXIMUM_SIZE_OF_ATTACHMENT_FILE`
`static int` | `PROP_MINIMUM_CUBE_ACCESS`
`static int` | `PROP_NAME`
`static int` | `PROP_SERVER_NAME`
`static int` | `PROP_TYPE`
`static int` | `s_countProperties`
`static IEssValueAny.EEssDataType[]` | `s_propDataTypes`
`static IEssProperties.EEssPropertyMode[]` | `s_propModes`
`static java.lang.String[]` | `s_propNames`

Method Summary
`IEssOlapApplication` | `copy(java.lang.String newAppName)` Copies this application to a new application, including all associated cubes and objects and also starts the new application.
`IEssCube` | `createCube(java.lang.String cubeName, IEssCube.EEssCubeType cubeType)` Creates a new cube within this application and starts it.
`void` | `delete()` Deletes this application.
`void` | `deleteCube(java.lang.String cubeName)` Deletes the specified cube.
`void` | `deleteLogFile()` Deletes this application's log file.
`IEssOlapApplication.EEssLoadStatus` | `getAppLoadStatus()` Gets the application load status.
`int` | `getCountCubes()` Gets the count of cubes in the application.
`int` | `getCountUsersConnected()` Gets the count of users connected to the application.
`IEssCube` | `getCube(java.lang.String cubeName)` Gets the specified cube.
`IEssIterator` | `getCubes()` Gets the cubes in this application that are accessible to this user.
`java.lang.String` | `getDescription()` Gets the application description.
`int` | `getElapsedAppTime()` Gets the elapsed number of seconds since application loading.
`java.lang.String` | `getLocale()` Gets the application locale.
`int` | `getLockTimeout()` Gets the timeout period (in minutes) after which block-level locks are automatically removed.
`int` | `getMaxAttachFileSize()` Gets the maximum attchment file size for lro.
`IEssCube.EEssCubeAccess` | `getMinimumCubeAccess()` Gets the minimum cube access (the lowest possible level of access for all users).
`java.lang.String` | `getName()` Gets the name of the application.
`IEssOlapServer` | `getOlapServer()` Gets the parent olap Server.
`java.lang.String` | `getServerName()` Gets the name of the server the application resides.
`java.lang.String` | `getType()` Gets the application type.
`IEssOlapApplication.EEssOlapApplicationAccess` | `getUserOrGroupAccess(java.lang.String userOrGroupName)` Gets the user or group access for this application.
`boolean` | `isAllowCommands()` Gets flag to indicate whether users can issue commands to the application.
`boolean` | `isAllowConnects()` Gets flag to indicate whether users can connect to the application.
`boolean` | `isAllowUpdates()` Gets flag to indicate whether users can update data in the application.
`boolean` | `isAutoLoad()` Gets flag to indicate whether the application is loaded automatically when Essbase is started.
`boolean` | `isEnableSecurity()` Gets flag to indicate whether application security is enabled.
`boolean` | `isLoadable()` Gets flag to indicate whether application can be loaded.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `rename(java.lang.String newAppName)` Renames this application.
`void` | `setAllowCommands(boolean allowCommands)` Sets flag to indicate whether users can issue commands to the application.
`void` | `setAllowConnects(boolean allowConnects)` Sets flag to indicate whether users can connect to the application.
`void` | `setAllowUpdates(boolean allowUpdates)` Sets flag to indicate whether users can update data in the application.
`void` | `setAutoLoad(boolean autoload)` Sets flag to indicate whether the application is loaded automatically when olap server is started.
`void` | `setDescription(java.lang.String desc)` Sets the application description.
`void` | `setEnableSecurity(boolean enableSecurity)` Sets flag to indicate whether application security is enabled.
`void` | `setLoadable(boolean loadable)` Sets flag to indicate whether application can be loaded.
`void` | `setLockTimeout(int lockTimeOutPeriod)` Sets timeout period (in minutes) after which block-level locks are automatically removed.
`void` | `setMaxAttachFileSize(int maxLroFileSize)` Sets the maximum attachment file size for lro.
`void` | `setMinimumCubeAccess(IEssCube.EEssCubeAccess minCubeAccess)` Sets the minimum cube access (the lowest possible level of access for all users).
`void` | `setUserOrGroupAccess(java.lang.String userOrGroupName, IEssOlapApplication.EEssOlapApplicationAccess access)` Sets the user or group access for this application.
`void` | `start()` Starts this application.
`void` | `stop()` Stops this application.
`void` | `updatePropertyValues()` Updates the property values.
`void` | `updatePropertyValues(java.lang.String desc, int maxLroFileSize, boolean loadable, boolean autoLoad, boolean allowCommands, boolean allowConnects, boolean allowUpdates, boolean enableSecurity, int lockTimeOutPeriod, IEssCube.EEssCubeAccess minCubeAccess)` Updates the specified property values.

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, setPropertyValueAny, setPropertyValueAny`

Methods inherited from interface com.essbase.api.datasource.IEssSubstitutionVariables
`createSubstitutionVariable, deleteSubstitutionVariable, getSubstitutionVariables, getSubstitutionVariableValue`

Field Detail

### PROP_NAME

    public static final int PROP_NAME

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final int PROP_DESCRIPTION

See Also:
  Constant Field Values

### PROP_COUNT_OF_USERS_CONNECTED

    public static final int PROP_COUNT_OF_USERS_CONNECTED

See Also:
  Constant Field Values

### PROP_LOAD_STATUS

    public static final int PROP_LOAD_STATUS

See Also:
  Constant Field Values

### PROP_ELAPSED_TIME

    public static final int PROP_ELAPSED_TIME

See Also:
  Constant Field Values

### PROP_IS_LOADABLE

    public static final int PROP_IS_LOADABLE

See Also:
  Constant Field Values

### PROP_IS_AUTO_LOAD

    public static final int PROP_IS_AUTO_LOAD

See Also:
  Constant Field Values

### PROP_MINIMUM_CUBE_ACCESS

    public static final int PROP_MINIMUM_CUBE_ACCESS

See Also:
  Constant Field Values

### PROP_IS_ALLOW_CONNECTS

    public static final int PROP_IS_ALLOW_CONNECTS

See Also:
  Constant Field Values

### PROP_IS_ALLOW_COMMANDS

    public static final int PROP_IS_ALLOW_COMMANDS

See Also:
  Constant Field Values

### PROP_IS_ALLOW_UPDATES

    public static final int PROP_IS_ALLOW_UPDATES

See Also:
  Constant Field Values

### PROP_IS_ENABLE_SECURITY

    public static final int PROP_IS_ENABLE_SECURITY

See Also:
  Constant Field Values

### PROP_LOCK_TIMEOUT

    public static final int PROP_LOCK_TIMEOUT

See Also:
  Constant Field Values

### PROP_COUNT_OF_CUBES

    public static final int PROP_COUNT_OF_CUBES

See Also:
  Constant Field Values

### PROP_SERVER_NAME

    public static final int PROP_SERVER_NAME

See Also:
  Constant Field Values

### PROP_MAXIMUM_SIZE_OF_ATTACHMENT_FILE

    public static final int PROP_MAXIMUM_SIZE_OF_ATTACHMENT_FILE

See Also:
  Constant Field Values

### PROP_TYPE

    public static final int PROP_TYPE

See Also:
  Constant Field Values

### PROP_LOCALE

    public static final int PROP_LOCALE

See Also:
  Constant Field Values

### s_countProperties

    public static final int s_countProperties

See Also:
  Constant Field Values

### s_propNames

    public static final java.lang.String[] s_propNames

### s_propDataTypes

    public static final IEssValueAny.EEssDataType[] s_propDataTypes

### s_propModes

    public static final IEssProperties.EEssPropertyMode[] s_propModes

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the name of the application.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The application name.
  Throws:
    `EssException` - if an error occur.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the application description.

  Returns:
    The description.
  Throws:
    `EssException` - if an error occur.

### setDescription

    public void setDescription(java.lang.String desc)
                        throws EssException

  Sets the application description. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `desc` - The description.
  Throws:
    `EssException` - if an error occur.

### getType

    public java.lang.String getType()
                             throws EssException

  Gets the application type.

  Returns:
    The application type. One of "utf8" or "native".
  Throws:
    `EssException` - if an error occurs.

### getLocale

    public java.lang.String getLocale()
                               throws EssException

  Gets the application locale.

  Returns:
    The application locale.
  Throws:
    `EssException` - if an error occurs.

### getMaxAttachFileSize

    public int getMaxAttachFileSize()
                             throws EssException

  Gets the maximum attchment file size for lro.

  Returns:
    The maximum attachment file size. 0 for unlimited file size.
  Throws:
    `EssException` - if an error occur.

### setMaxAttachFileSize

    public void setMaxAttachFileSize(int maxLroFileSize)
                              throws EssException

  Sets the maximum attachment file size for lro. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `maxLroFileSize` - The maximum attachment file size (in bytes). Pass 0 for unlimited file size.
  Throws:
    `EssException` - if an error occur.

### isLoadable

    public boolean isLoadable()
                       throws EssException

  Gets flag to indicate whether application can be loaded.

  Returns:
    true if application is loadable.
  Throws:
    `EssException` - if an error occur.

### setLoadable

    public void setLoadable(boolean loadable)
                     throws EssException

  Sets flag to indicate whether application can be loaded. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `loadable` - true if application is loadable.
  Throws:
    `EssException` - if an error occur.

### isAutoLoad

    public boolean isAutoLoad()
                       throws EssException

  Gets flag to indicate whether the application is loaded automatically when Essbase is started.

  Returns:
    true if the application will be automatically loaded.
  Throws:
    `EssException` - if an error occur.

### setAutoLoad

    public void setAutoLoad(boolean autoload)
                     throws EssException

  Sets flag to indicate whether the application is loaded automatically when olap server is started. The change will become effective after you invoke updatePropertyValues().

  Throws:
    `EssException` - if an error occur.

### isAllowCommands

    public boolean isAllowCommands()
                            throws EssException

  Gets flag to indicate whether users can issue commands to the application.

  Returns:
    true if the application is accepting user commands.
  Throws:
    `EssException` - if an error occur.

### setAllowCommands

    public void setAllowCommands(boolean allowCommands)
                          throws EssException

  Sets flag to indicate whether users can issue commands to the application. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `allowCommands` - true if the application is accepting user commands.
  Throws:
    `EssException` - if an error occur.

### isAllowConnects

    public boolean isAllowConnects()
                            throws EssException

  Gets flag to indicate whether users can connect to the application.

  Returns:
    true if users can connect.
  Throws:
    `EssException` - if an error occur.

### setAllowConnects

    public void setAllowConnects(boolean allowConnects)
                          throws EssException

  Sets flag to indicate whether users can connect to the application. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `allowConnects` - true if users can connect.
  Throws:
    `EssException` - if an error occur.

### isAllowUpdates

    public boolean isAllowUpdates()
                           throws EssException

  Gets flag to indicate whether users can update data in the application.

  Returns:
    true if the application is accepting user update commands.
  Throws:
    `EssException` - if an error occur.

### setAllowUpdates

    public void setAllowUpdates(boolean allowUpdates)
                         throws EssException

  Sets flag to indicate whether users can update data in the application. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `allowUpdates` - true if the application is accepting user update commands.
  Throws:
    `EssException` - if an error occur.

### isEnableSecurity

    public boolean isEnableSecurity()
                             throws EssException

  Gets flag to indicate whether application security is enabled.

  Returns:
    true if security is enabled.
  Throws:
    `EssException` - if an error occur.

### setEnableSecurity

    public void setEnableSecurity(boolean enableSecurity)
                           throws EssException

  Sets flag to indicate whether application security is enabled. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `enableSecurity` - true security is enabled.
  Throws:
    `EssException` - if an error occur.

### getLockTimeout

    public int getLockTimeout()
                       throws EssException

  Gets the timeout period (in minutes) after which block-level locks are automatically removed.

  Returns:
    The timeout period (in minutes).
  Throws:
    `EssException` - if an error occur.

### setLockTimeout

    public void setLockTimeout(int lockTimeOutPeriod)
                        throws EssException

  Sets timeout period (in minutes) after which block-level locks are automatically removed. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `lockTimeOutPeriod` - The time out period (in minutes).
  Throws:
    `EssException.`
    `EssException`

### getMinimumCubeAccess

    public IEssCube.EEssCubeAccess getMinimumCubeAccess()
                                                 throws EssException

  Gets the minimum cube access (the lowest possible level of access for all users). This is the default access to cubes in this olap application.

  Returns:
    The minimum cube access.
  Throws:
    `EssException` - if an error occurs.

### setMinimumCubeAccess

    public void setMinimumCubeAccess(IEssCube.EEssCubeAccess minCubeAccess)
                              throws EssException

  Sets the minimum cube access (the lowest possible level of access for all users). This is the default access to cubes in this olap application. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `minCubeAccess` - The minimum cube access.
  Throws:
    `EssException` - if an error occurs.

### getAppLoadStatus

    public IEssOlapApplication.EEssLoadStatus getAppLoadStatus()
                                                        throws EssException

  Gets the application load status.

  Returns:
    The application load status.
  Throws:
    `EssException` - if an error occurs.

### getCountUsersConnected

    public int getCountUsersConnected()
                               throws EssException

  Gets the count of users connected to the application.

  Returns:
    The count of users connected.
  Throws:
    `EssException` - if an error occurs.

### getElapsedAppTime

    public int getElapsedAppTime()
                          throws EssException

  Gets the elapsed number of seconds since application loading.

  Returns:
    The elapsed number of seconds.
  Throws:
    `EssException` - if an error occurs.

### getCountCubes

    public int getCountCubes()
                      throws EssException

  Gets the count of cubes in the application.

  Returns:
    The count of cubes.
  Throws:
    `EssException` - if an error occurs.

### getServerName

    public java.lang.String getServerName()
                                   throws EssException

  Gets the name of the server the application resides.

  Returns:
    The server name.
  Throws:
    `EssException` - if an error occur.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Specified by:
    `refreshPropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues().

  Specified by:
    `updatePropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues(java.lang.String desc,
                                     int maxLroFileSize,
                                     boolean loadable,
                                     boolean autoLoad,
                                     boolean allowCommands,
                                     boolean allowConnects,
                                     boolean allowUpdates,
                                     boolean enableSecurity,
                                     int lockTimeOutPeriod,
                                     IEssCube.EEssCubeAccess minCubeAccess)
                              throws EssException

  Updates the specified property values. If the update is successful, the local cache is set with these values.

  Parameters:
    `desc` - The description.
    `maxLroFileSize` - The maximum file size (in bytes). Pass 0 for unlimited file size.
    `loadable` - true if application is loadable.
    `autoLoad` - true if the application will be automatically loaded.
    `allowCommands` - true if the application is accepting user commands.
    `allowConnects` - true if users can connect.
    `allowUpdates` - true if the application is accepting user update commands.
    `enableSecurity` - true security is enabled.
    `lockTimeOutPeriod` - The time out period (in minutes).
    `minCubeAccess` - The minimum cube access.
  Throws:
    `EssException`

### getCubes

    public IEssIterator getCubes()
                          throws EssException

  Gets the cubes in this application that are accessible to this user.

  Returns:
    The cubes (each of type IEssCube).
  Throws:
    `EssException` - if an error occurs.

### createCube

    public IEssCube createCube(java.lang.String cubeName,
                               IEssCube.EEssCubeType cubeType)
                        throws EssException

  Creates a new cube within this application and starts it.

  Parameters:
    `cubeName` - The cube name.
    `cubeType` - The cube type.
  Returns:
    The new cube.
  Throws:
    `EssException` - if an error occurs.

### getCube

    public IEssCube getCube(java.lang.String cubeName)
                     throws EssException

  Gets the specified cube.

  Parameters:
    `cubeName` - The cube name.
  Returns:
    The cube.
  Throws:
    `EssException` - if an error occur.

### deleteCube

    public void deleteCube(java.lang.String cubeName)
                    throws EssException

  Deletes the specified cube.

  Parameters:
    `cubeName` - The cube name.
  Throws:
    `EssException` - if an error occur.

### rename

    public void rename(java.lang.String newAppName)
                throws EssException

  Renames this application. If the application is running, then it is first stopped.

  Parameters:
    `newAppName` - The new name of the application.
  Throws:
    `EssException` - if an error occurs.

### copy

    public IEssOlapApplication copy(java.lang.String newAppName)
                             throws EssException

  Copies this application to a new application, including all associated cubes and objects and also starts the new application.

  Parameters:
    `newAppName` - The new application name.
  Returns:
    The new application.
  Throws:
    `EssException` - if an error occurs.

### delete

    public void delete()
                throws EssException

  Deletes this application. If the application is running, then it is first stopped.

  Throws:
    `EssException` - if an error occurs.

### start

    public void start()
               throws EssException

  Starts this application.

  Throws:
    `EssException` - if an error occurs.

### stop

    public void stop()
              throws EssException

  Stops this application.

  Throws:
    `EssException` - if an error occurs.

### deleteLogFile

    public void deleteLogFile()
                       throws EssException

  Deletes this application's log file.

  Throws:
    `EssException` - if an error occurs.

### getUserOrGroupAccess

    public IEssOlapApplication.EEssOlapApplicationAccess getUserOrGroupAccess(java.lang.String userOrGroupName)
                                                                       throws EssException

  Gets the user or group access for this application.

  Returns:
    The application access.
  Throws:
    `EssException` - if an error occurs.

### setUserOrGroupAccess

    public void setUserOrGroupAccess(java.lang.String userOrGroupName,
                                     IEssOlapApplication.EEssOlapApplicationAccess access)
                              throws EssException

  Sets the user or group access for this application.

  Parameters:
    `access` - The application access.
  Throws:
    `EssException` - if an error occurs.

### getOlapServer

    public IEssOlapServer getOlapServer()
                                 throws EssException

  Gets the parent olap Server.

  Returns:
    The olap Server.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD